Factor get-methods out of PropertyInfoStore into PropertyInfoLookup
Closed, ResolvedPublic

Description

Create a new read-only service interface called PropertyInfoLookup containing getPropertyInfo, getPropertyInfoForDataTypeand getAllPropertyInfo from PropertyInfoStore.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2016, 2:49 PM

Change 323844 had a related patch set uploaded (by Jakob):
Add PropertyInfoLookup

https://gerrit.wikimedia.org/r/323844

Jakob_WMDE moved this task from Proposed to Review on the Wikidata-Sprint board.Nov 28 2016, 4:06 PM

Change 323844 merged by jenkins-bot:
Add PropertyInfoLookup

https://gerrit.wikimedia.org/r/323844

Jakob_WMDE moved this task from Review to Done on the Wikidata-Sprint board.Dec 6 2016, 2:56 PM

Change 328385 had a related patch set uploaded (by WMDE-leszek):
Separate PropertyInfoLookup and PropertyInfoStore

https://gerrit.wikimedia.org/r/328385

WMDE-leszek closed this task as Resolved.Jan 3 2017, 1:34 PM
WMDE-leszek triaged this task as High priority.
WMDE-leszek reopened this task as Open.
WMDE-leszek moved this task from Done to Review on the Wikidata-Sprint board.

Change 328385 merged by jenkins-bot:
Separate PropertyInfoLookup and PropertyInfoStore

https://gerrit.wikimedia.org/r/328385

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Jan 4 2017, 2:57 PM
WMDE-leszek closed this task as Resolved.Jan 24 2017, 8:48 AM